Bug 546445 - Review Request: nagios-plugins-check-updates - A Nagios plugin to check if Red Hat or Fedora system is up-to-date
Summary: Review Request: nagios-plugins-check-updates - A Nagios plugin to check if Re...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nick Bebout
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-10 21:55 UTC by Jose Pedro Oliveira
Modified: 2014-06-24 12:48 UTC (History)
4 users (show)

Fixed In Version: nagios-plugins-check-updates-1.4.9-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 21:41:35 UTC
Type: ---
nb: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2009-12-10 21:55:47 UTC
Spec URL:
http://um-pe09-2.di.uminho.pt./fedora/nagios-plugins-check-updates.spec

SRPM URL:
http://um-pe09-2.di.uminho.pt./fedora/nagios-plugins-check-updates-1.4.6-1.src.rpm

Description:
A Nagios plugin to check if Red Hat or Fedora system is up-to-date

Comment 1 Kris Buytaert 2010-01-06 22:25:23 UTC
First quick look : 


$ rpmlint   nagios-plugins-check-updates.spec  
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint  nagios-plugins-check-updates-1.4.6-1.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 2 Jose Pedro Oliveira 2010-02-18 22:34:14 UTC
New upstream version:
http://um-pe09-2.di.uminho.pt./fedora/nagios-plugins-check-updates-1.4.7-1.fc12.src.rpm

Comment 3 Nick Bebout 2010-05-28 17:00:44 UTC
I'll take this.

Comment 4 Nick Bebout 2010-07-25 19:52:00 UTC
[nb@newharmony01 SPECS]$ rpmlint nagios-plugins-check-updates.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[nb@newharmony01 SRPMS]$ rpmlint nagios-plugins-check-updates-1.4.7-1.fc12.src.rpm 
nagios-plugins-check-updates.src: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
nagios-plugins-check-updates.src: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
[nb@newharmony01 i686]$ rpmlint nagios-plugins-check-updates-1.4.7-1.fc13.i686.rpm 
nagios-plugins-check-updates.i686: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
nagios-plugins-check-updates.i686: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
nagios-plugins-check-updates.i686: E: no-binary
nagios-plugins-check-updates.i686: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 3 warnings.

I believe the spelling errors can be ignored.  Is there a way to package nagios plugins as noarch since they are not binary?

Comment 5 Jose Pedro Oliveira 2010-07-25 21:37:22 UTC
(In reply to comment #4)
> ... snip ...
> 
> I believe the spelling errors can be ignored.  Is there a way to package nagios
> plugins as noarch since they are not binary?    

No. Nagios plugins must always be arch dependent because they are installed
under %{_libdir} and this directory is arch dependent:

      /usr/lib    for 32-bit systems
      /usr/lib64  for 64-bit systems

/jpo

Comment 6 Nick Bebout 2010-08-11 23:24:47 UTC
I cannot connect to your server.

Comment 7 Jose Pedro Oliveira 2010-08-20 14:12:30 UTC
(In reply to comment #6)
> I cannot connect to your server.

The machine is back.  You should be able to download the source rpm.  I also mirrored the source rpms to 

  * ftp://perl.di.uminho.pt/pub/fedora/

/jpo

Comment 8 Nick Bebout 2010-10-19 14:51:41 UTC
- Package meets naming and packaging guidelines
- Spec file matches base package name.
- Spec has consistant macro usage.
- Meets Packaging Guidelines.
- License
- License field in spec matches
- License file included in package
- Spec in American English
- Spec is legible.
- Sources match upstream md5sum:
[nb@delta SOURCES]$ md5sum *
ccac4abb00050f13ae56eac8e71a3a3c  check_updates-1.4.7.tar.gz
ccac4abb00050f13ae56eac8e71a3a3c  check_updates-1.4.7.tar.gz.1

- Package needs ExcludeArch
- BuildRequires correct
- Spec handles locales/find_lang
- Package is relocatable and has a reason to be.
- Package has %defattr and permissions on files is good.
- Package has a correct %clean section.
- Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
- Package is code or permissible content.
- Doc subpackage needed/used.
- Packages %doc files don't affect runtime.

- Headers/static libs in -devel subpackage.
- Spec has needed ldconfig in post and postun
- .pc files in -devel subpackage/requires pkgconfig
- .so files in -devel subpackage.
- -devel package Requires: %{name} = %{version}-%{release}
- .la files are removed.

- Package is a GUI app and has a .desktop file

- Package compiles and builds on at least one arch.
- Package has no duplicate files in %files.
- Package doesn't own any directories other packages own.
- Package owns all the directories it creates.
- No rpmlint output.
- final provides and requires are sane

SHOULD Items:

- Should build in mock.
- Should build on all supported archs
- Should function as described.
- Should have sane scriptlets.
- Should have subpackages require base package with fully versioned depend.
- Should have dist tag
- Should package latest version
- check for outstanding bugs on package. (For core merge reviews)

rpmlint is not quiet, but errors can be ignored due to issues with packaging nagios plugins (they can't be noarch)

The license is GPLv3, not GPLv3+

THIS PACKAGE IS APPROVED (with the license change)

Comment 9 Jose Pedro Oliveira 2010-10-19 16:21:31 UTC
(In reply to comment #8)
> [...SNIP...]
> 
> The license is GPLv3, not GPLv3+
> 
> THIS PACKAGE IS APPROVED (with the license change)

Nick, 

Thanks for the review. But I do have problems with the license: can you point me to where it says that the license is only GPLv3?  The include COPYRIGHT file clearly states

" ...either version 3 of the License, or (at your option) any later version."

Regards,
jpo

Comment 10 Jose Pedro Oliveira 2010-10-28 22:49:06 UTC
New Package SCM Request
=======================
Package Name: nagios-plugins-check-updates
Short Description: A Nagios plugin to check if Red Hat or Fedora system is up-to-date
Owners: jpo
Branches: f12 f13 f14 el5 el6
InitialCC:

Comment 11 Kevin Fenzi 2010-10-30 23:19:07 UTC
Git done (by process-git-requests).

That part of the license file is overriden by: 

# This module is free software; you can redistribute it and/or modify it
# under the terms of GNU general public license (gpl) version 3.
# See the LICENSE file for details.

Which sounds like GPLv3 only. 
If the LICENSE file was the only thing included it would be 
GPL+

https://fedoraproject.org/wiki/Licensing/FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F

Comment 12 Jose Pedro Oliveira 2010-10-30 23:53:52 UTC
(In reply to comment #11)
> Git done (by process-git-requests).
> 
> That part of the license file is overriden by: 
> 
> # This module is free software; you can redistribute it and/or modify it
> # under the terms of GNU general public license (gpl) version 3.
> # See the LICENSE file for details.
> 
> Which sounds like GPLv3 only. 
> If the LICENSE file was the only thing included it would be 
> GPL+
> 
> https://fedoraproject.org/wiki/Licensing/FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F


I'll ask upstream to disambiguate the License status (it shouldn't take long: in the past the upstream author was very responsive).

jpo

Comment 13 Jose Pedro Oliveira 2010-10-31 19:24:31 UTC
A couple of hours ago the upstream author released version 1.4.8 with the License clarified.  The check_updates script disclaimer now reads:

----------
...
# This module is free software; you can redistribute it and/or modify it
# under the terms of GNU general public license (gpl) version 3,
# or (at your option) any later version.
# See the COPYING file for details.
...
-----

Note: upstream check_updates changes can be browsed here:
https://trac.id.ethz.ch/projects/nagios_plugins/timeline

Regards,
jpo

Comment 14 Jose Pedro Oliveira 2010-11-01 18:53:14 UTC
nagios-plugins-check-updates 1.4.9 built for all requested branches:

 * Fedora 12, 13, 14 and 15
 * EPEL 5 and 6


Build logs and RPMS available in koji:
http://koji.fedoraproject.org/koji/packageinfo?packageID=11115

Comment 15 Fedora Update System 2010-11-01 23:21:08 UTC
nagios-plugins-check-updates-1.4.9-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/nagios-plugins-check-updates-1.4.9-1.el5

Comment 16 Fedora Update System 2010-11-01 23:27:47 UTC
nagios-plugins-check-updates-1.4.9-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/nagios-plugins-check-updates-1.4.9-1.fc14

Comment 17 Fedora Update System 2010-11-01 23:29:21 UTC
nagios-plugins-check-updates-1.4.9-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/nagios-plugins-check-updates-1.4.9-1.fc13

Comment 18 Fedora Update System 2010-11-01 23:30:09 UTC
nagios-plugins-check-updates-1.4.9-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/nagios-plugins-check-updates-1.4.9-1.fc12

Comment 19 Fedora Update System 2010-11-02 16:14:43 UTC
nagios-plugins-check-updates-1.4.9-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nagios-plugins-check-updates'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/nagios-plugins-check-updates-1.4.9-1.el5

Comment 20 Fedora Update System 2010-11-10 21:41:28 UTC
nagios-plugins-check-updates-1.4.9-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2010-11-10 21:43:19 UTC
nagios-plugins-check-updates-1.4.9-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2010-11-10 21:48:06 UTC
nagios-plugins-check-updates-1.4.9-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2010-11-17 17:03:11 UTC
nagios-plugins-check-updates-1.4.9-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Jose Pedro Oliveira 2014-06-23 19:32:18 UTC
Package Change Request
======================
Package Name: nagios-plugins-check-updates
New Branches: epel7
Owners: jpo

Comment 25 Gwyn Ciesla 2014-06-24 12:48:08 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.